#!/usr/bin/env python

# A simple command line might look like:
# rm *.html; rm -rf knowl/; xsltproc -xinclude --stringparam whitespace flexible ../xsl/pretext-html.xsl main.xml

from sys import argv
from subprocess import run
import os

files = os.listdir()
for file in os.listdir():
    if file[-5:] == '.html':
        os.remove(file)
if 'knowl' in os.listdir():
    for file in os.listdir('knowl'):
        os.remove('knowl/' + file)
    os.removedirs('knowl')

file_name = argv[1]
run(["xsltproc", "-xinclude",
	"--stringparam", "chunk.level", '0',
	# "--stringparam", "whitespace", "flexible",
	# "--stringparam", "design-width", '1200',
	# "--stringparam", "html.permalink", 'none',
	# "--stringparam", "html.knowl.example", 'no',
    # "--stringparam", "html.knowl.exercise.inline", 'no',
	# "--stringparam", "html.presentation", "yes",
	# "--stringparam", "html.navigation.upbutton", 'no',
	# "--stringparam", "html.navigation.style", 'compact',
	"../xsl/pretext-html.xsl", file_name + ".xml"])
# run(["xsltproc", "-xinclude",
# 	# "-stringparam", "whitespace", "flexible",
# 	"../xsl/pretext-latex.xsl", file_name + ".xml", ">"+file_name+".tex"])
# run(["pdflatex", file_name + ".tex"])
# run(["pdflatex", file_name + ".tex"])
# for ext in [".aux", ".log", ".out"]:
# 	os.remove(file_name + ext)
run(["echo", "finishing"])
